<?php
header('Content-type: text/plain');
header('Content-Disposition: attachment; filename="visualiseur-01.html"');
?>
<!doctype html>
<html dir="ltr" lang="fr-ch">
<head>
  <meta content="text/html; charset=UTF-8" http-equiv="content-type">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <style>
html, body { margin:0; padding:0; }
body { background-color:#000000; font-size:100%; width:auto; min-width:375px; max-width:1920px; margin-left:auto; margin-right:auto; }
h1 { width:100%; border-width:0; color:#f2f2ff; font-size:130%; font-weight:bold; text-align:center; padding-top:12px; padding-left:0; padding-right:0; padding-bottom:12px; margin:0; }
h2 { width:100%; color:#f2f2ff; font-size:115%; font-weight:bold; text-align:center; padding-top:8px; padding-left:0; padding-right:0; width:100%; padding-bottom:8px; margin:0; }
h3 { width:100%; color:#000000; font-size:115%; font-weight:bold; text-align:left; padding-top:4px; padding-left:1%; padding-right:1%; width:98%; padding-bottom:2px; margin:0; }
h4 { width:100%; color:#000000; font-size:100%; font-weight:bold; text-align:left; padding-top:6px; padding-left:1%; padding-right:1%; padding-bottom:2px; width:98%; margin:0; }
table { background-color:#f2f2ff; width:100%; border-style:solid; border-width:thick; border-color:#993399; border-collapse:collapse; margin:0; padding:0; }
table.xc { background-color:#d8b97e; width:100%; border-width:0; border-collapse:collapse; margin:0; padding:0; }
table.quadrille { background-color:#f2f2ff; width:100%; border-style:solid; border-width:thin; border-color:#993399; border-collapse:collapse; margin:0; padding:0; }
caption { background-color:#993399; color:#f2f2ff; font-weight:bold; text-align:center; padding-top:16px; padding-left:0; padding-right:0; padding-bottom:16px; }
th { background-color:#993399; padding-top:12px; padding-left:0; padding-right:0; padding-bottom:12px; color:#f2f2ff; text-align:center; font-weight:bold; }
td { border-style:solid; border-width:medium; border-color:#993399; padding:0; vertical-align:top; }
td.xc { border-width:0; padding:0; vertical-align:top; border-width:0; }
td.pied { border-style:none; background-color:#993399; color:#f2f2ff; font-size:115%; font-weight:normal; text-align:center; vertical-align:middle; padding-top:6px; padding-bottom:6px; padding-left:0; padding-right:0; margin:0; line-height:2.0; }
td.quadrille { border-style:solid; border-width:thin; border-color:#993399; padding-top:2px; padding-left:0.5%; padding-right:0.5%; width:99%; padding-bottom:2px; margin: 0; vertical-align:middle; text-align:center; }
div { padding-top:4px; padding-left:1%; padding-right:1%; width:98%; padding-bottom:4px; border-style:solid; border-top-width:thin; border-bottom-width:0; border-left-width:0; border-right-width:0; border-color:#993399; border-collapse:collapse; margin:0; }
div.first { background-color:#f2f2ff; padding-top:4px; padding-left:1%; padding-right:1%; width:98%; padding-bottom:4px; border-width:0; margin:0; }
div.xc { width:98.4%; border-style:solid; border-color:#993399; border-top-width:0; border-bottom-width:0; border-left-width:medium; border-right-width:0; border-collapse:collapse; margin:0; padding:0; }
div.stitre { background-color:#993399; padding-top:12px; padding-bottom:12px; padding-left:0; padding-right:0; width:100%; color:#f2f2ff; text-align:center; font-weight:bold; border-style:solid; border-color:#f2f2ff; border-top-width:medium; border-bottom-width:0; border-left-width:medium; border-right-width:0; border-collapse:collapse; margin:0; }
div.externe { background-color:#f2f2ff; border-width:0; margin:0; padding-top:4px; padding-left:1%; padding-right:1%; width:98%; padding-bottom:2px; color:#000000; text-align:left; font-size:100%; font-weight:normal; }
div.quadrille { background-color:#993399; border-width:0; margin:0; padding:0; width:100%; }
div.plaqued { height:auto; width:240px; float:right; text-align:center; border-style:none; margin:0; padding-top:0; padding-bottom:4px; border-style:none; }
div.plaqueg { background-color:#d8b97e; height:auto; width:auto; float:left; text-align:center; border-style:none; margin:0; padding:3px; }
div.indent {margin-top:0; margin-bottom:0; margin-left:4%; margin-right:0; width:96%; border-style:none; padding:0; text-align:left; }
ul { margin-top:0; margin-bottom:4px; }
li.champ { background-color:#cccccc; }
p { padding-top:4px; padding-left:1%; padding-right:1%; width:98%; padding-bottom:4px; margin:0; }
p.img { text-align:center; margin-top:3px; margin-bottom:0; padding: 0; }
p.champ { padding-top:3px; padding-left:0.5%; padding-right:0.5%; width:99%; padding-bottom:1px; background-color:#cccccc; margin:0; }
p.Program { font-family:Courier; font-size:87%; border-style:none; margin:0; padding-top:2px; padding-bottom:2px; padding-left:1%; padding-right:1%; width:98%; text-align:left; }
span.formule { font-family:Courier; font-size:87%; margin-left:2px; margin-right:2px; }
blockquote { margin-top:0; margin-bottom:4px; }
dl { margin-top: 0; margin-bottom: 0;}
dt { margin-top: 5px; margin-bottom: 0;}
img {margin-top:4px; margin-bottom:4px; margin-left:3px; margin-right:3px; border-style:solid; border-width:thin; border-color:#993399;}
</style>
<meta name="generator" content="Générateur de visualiseurs d'images tous écrans 'itea', de Marcel Délèze">
<meta name="robots" content="NoIndex,NoFollow">
<?php
    $titre = $_POST['titre'];
	$soustitre = $_POST['soustitre'];
    echo '<title>'.$titre.'</title>'.PHP_EOL;
    echo '</head>'.PHP_EOL;
    echo '<body>'.PHP_EOL;
    echo '<table class="xc">'.PHP_EOL;
        echo '<caption>'.PHP_EOL;
            echo '<h1>'.$titre.'</h1>'.PHP_EOL;
			echo '<h2>'.$soustitre.'</h2>'.PHP_EOL;
        echo '</caption>'.PHP_EOL;
?>
         <tr>
              <td class="xc">
                <div class="xc">
                    <!-- Début du corps de texte -->
                         <div class="first">
<p style="text-align:center;">
   Cliquer sur une image pour l'agrandir ou la télécharger.
</p>
                          </div>
                          <div style="background-color:#d8b97e; text-align:center;">
<?php
	$msg='';
    /*
     * La boucle principale porte sur les images originelles.
     */
    $dir = $_POST['dir'];
    $n=0;  // Nombre total de fichiers
    $t=array(); // tableau de tous les fichiers
    if (is_dir($dir)) {
        if ($dh = opendir($dir)) {
			while (($file = readdir($dh)) !== false) {
    			$nom=$dir."/".$file;
                if (is_file($nom)) {
                    $t[$n]=$file;
                    $n++;
                    $i=$n-1;
                    while (($i>0) and (strnatcasecmp($t[$i-1],$t[$i])>0)) {
                        $ech=$t[$i];
                        $t[$i]=$t[$i-1];
                        $t[$i-1]=$ech;
                        $i--;
					}
				}
            }
			closedir($dh);
        }
	}
	/*
	 *	Création des vignettes
	*/
	$sousdossier = 'vignettes';
	$widthmax = 388;
	$heightmax = 291;
	$agrandir = true;
	$quality = 90;
	for ($i=0; $i<$n; $i++) {
		if (file_exists($dir.'/'.$sousdossier.'/'.$t[$i])){	
		} else {	//	la vignette n'est créée que si elle est absente du serveur
			list($sourcewidth, $sourceheight, $sourcetype) = getimagesize($dir.'/'.$t[$i]);
			$ratio = $sourcewidth/$sourceheight;
			if($sourcewidth<=$widthmax and $sourceheight<=$heightmax and $agrandir!=true){
				$width = $sourcewidth;
				$height = $sourceheight;
			} else {
				/*
				 *	(facteur d'agrandissement) = MIN { ($widthmax/$sourcewidth), ($heightmax/$sourceheight) }
				 */
				if ($widthmax/$sourcewidth <= $heightmax/$sourceheight){
					$width = $widthmax;
					$height = round($width/$ratio);
				} else {
					$height = $heightmax;
					$width = round($height*$ratio);
				}
			}
			if ($sourcetype==2 ){ // JPG
				$sourceim = imagecreatefromjpeg($dir.'/'.$t[$i]);
			} elseif ($sourcetype==3 ){ // PNG
				$sourceim = imagecreatefrompng($dir.'/'.$t[$i]);
			}
			if ($sourceim===FALSE){
				$msg = $msg."<p><b>ERREUR au chargement de l'image «"
					.$t[$i]
					."».</b></p>";
			}
			$dest = imagecreatetruecolor($width, $height);
			imagecopyresampled($dest, 					$sourceim,
								0, 0, 					0, 0, 
								$width, $height, 		$sourcewidth, $sourceheight);
			imagedestroy($sourceim);
			if (strlen($msg)>0){
				echo '<p>'.$msg.'</p>';
				echo '</div></div></td></tr></body></html>';
				exit();
			} elseif ($sourcetype==3 ){ // PNG
				imagepng($dest, $dir.'/'.$sousdossier.'/'.$t[$i], 9);	// retourne l'image $dest vers le dossier vignettes du serveur
				imagedestroy($dest);
			} elseif ($sourcetype==2 ){ // JPG
				imagejpeg($dest, $dir.'/'.$sousdossier.'/'.$t[$i], $quality);	// retourne l'image $dest vers le dossier vignettes du serveur
				imagedestroy($dest);
			}
		}
	}
	/*
	 *	Formation du visualiseur (qui est une page HTML)
	 */
	for ($i=0; $i<$n; $i++) {
		list($width, $height) = getimagesize($dir.'/'.$sousdossier.'/'.$t[$i]);
		if ((1 <= $width) and ($width <= $widthmax) and (1 <= $height) and ($height <= $heightmax) ){
			echo '<div class="plaqueg">'.PHP_EOL;
			echo '<a href="'.$dir.'/'.$t[$i].'"><img src="'.$dir.'/'.$sousdossier.'/'.$t[$i].'" style="width:'.$width.'px; height:'.$height.'px;" alt="'.$t[$i].'" title="'.$t[$i].'"></a>'.PHP_EOL;
			echo PHP_EOL.'</div>'.PHP_EOL;
		} else {
			echo "<p><b>Erreur: dans le dossier ".$sousdossier.", les dimensions de l'image redimensionnée ".$t[$i]." sortent de l'intervalle [1, ".$widthmax."] × [1, ".$heightmax."] pixels.</b></p>".PHP_EOL;
		}
	}
?>
                          </div>
                      <!-- Fin du corps de texte -->
                </div>
             </td>
         </tr>
         <tr>
             <td class="pied">
<?php
    $lien_retour = $_POST['lien_retour'];
    $texte_retour = $_POST['texte_retour'];
    echo '<a style="color:#f2f2ff;" href="'.$lien_retour.'">'.$texte_retour.'</a>'.PHP_EOL;
?>
             </td>
         </tr>
</table>
</body>
</html>